    PROGRAM g05mafe

!      G05MAF Example Program Text

!      Mark 23 Release. NAG Copyright 2011.

!      .. Use Statements ..
       USE nag_library, ONLY : g05kbf, g05maf
!      .. Implicit None Statement ..
       IMPLICIT NONE
!      .. Parameters ..
       INTEGER, PARAMETER              :: n = 5, nout = 6
!      .. Local Scalars ..
       INTEGER                         :: a, b, ifail, igen
!      .. Local Arrays ..
       INTEGER                         :: iseed(4), x(n)
!      .. Executable Statements ..
       WRITE (nout,*) 'G05MAF Example Program Results'
       WRITE (nout,*)
!      Initialize the seed to a repeatable sequence
       iseed(1) = 1762543
       iseed(2) = 9324783
       iseed(3) = 42344
       iseed(4) = 742355
!      IGEN identifies the stream.
       igen = 1
       CALL g05kbf(igen,iseed)
       a = -5
       b = 5
       ifail = 1
       CALL g05maf(a,b,n,x,igen,iseed,ifail)

       IF (ifail==0) THEN

          WRITE (nout,99999) x

       ELSE
          WRITE (nout,99998) ifail
       END IF

99999  FORMAT (1X,I12)
99998  FORMAT (1X,' ** G05MAF returned with IFAIL = ',I5)
    END PROGRAM g05mafe
